package com.game.objects;

import org.anddev.andengine.engine.handler.physics.PhysicsHandler;
import org.anddev.andengine.entity.shape.Shape;
import org.anddev.andengine.opengl.texture.region.TextureRegion;

import com.game.abs.cGame_Shoot;
import com.qwerjk.andengine.opengl.texture.region.PixelPerfectTextureRegion;

public class cGame_Arrow extends cGame_Shoot
{
	public PhysicsHandler gop_PhysicsHandler;
	public Shape gop_Shape;
	public cGame_Arrow(float pX, float pY, float pWidth, float pHeight,PixelPerfectTextureRegion pTextureRegion) {
		super(pX, pY, pWidth,pHeight,pTextureRegion);
		   //**************** VELOCITAT INICIAL ***********************
		   gop_PhysicsHandler = new PhysicsHandler(this);
		   this.registerUpdateHandler(gop_PhysicsHandler);
		   this.gop_PhysicsHandler.setVelocity(0, 0);
		   this.gop_Shape=this;
	}

	@Override
	public void destroy() {
		
	}

	@Override
	public void explosion() {
	
	}
}
